import type { Completion, CompletionContext, CompletionResult, CompletionSource } from '@codemirror/autocomplete';
import type { CompletionResult as MongoDBCompletionResult } from '../autocompleter';
export declare function mapMongoDBCompletionToCodemirrorCompletion(completion: MongoDBCompletionResult, escape?: 'always' | 'never' | 'invalid'): Completion;
declare type Prefix = {
    from: number;
    to: number;
    text: string;
};
export declare const completeWordsInString: CompletionSource;
export declare const ID_REGEX: RegExp;
export declare function resolveTokenAtCursor(context: CompletionContext): import("@lezer/common").SyntaxNode;
export declare function createCompletionResultForIdPrefix({ prefix, completions, escape, }: {
    prefix: Pick<Prefix, 'from' | 'to'>;
    completions: MongoDBCompletionResult[];
    escape?: 'always' | 'never' | 'invalid';
}): CompletionResult;
declare type AceCompatCompletionSource = (options: {
    prefix: Prefix;
    token: ReturnType<typeof resolveTokenAtCursor>;
    context: CompletionContext;
}) => ReturnType<CompletionSource>;
export declare function createAceCompatAutocompleter(completers: {
    String?: AceCompatCompletionSource;
    IdentifierLike?: AceCompatCompletionSource;
}): CompletionSource;
export {};
//# sourceMappingURL=ace-compat-autocompleter.d.ts.map